<template>
  <div>
    <i
      class="icon map subscriptions-map"
      @click="$refs.modalMap.open()"
    />
      <ObAddressModal
          v-model="location"
          ref="modalMap"
          :mapId="'map-id'"
          :isPoint="isPoint"
          :data-source="{ address: dataSource }"
          @input="onChangeModalAddress"
      />
  </div>
</template>

<script>
  import ObAddressModal from 'common-components/src/obComponents/obAddressModal';
  export default {
    name: 'columnMap',
    components: {
      ObAddressModal
    },
    props: {
      data: {
        type: Object,
        default: () => {}
      }
    },
    data () {
      return {
        location: {},
        isPoint: false,
        dataSource: {}
      };
    },
    methods: {
      onChangeModalAddress () {
        console.log('onChangeModalAddress');
      }
    }
  };
</script>

<style scoped lang="scss">
  .subscriptions-map {
    font-size: 18px;
    color: $color-blue-navy-blue;
  }
</style>